%define	name		jfreechart
%define	version		0.9.16
%define	pversion	0.9.16
%define	release		1jpp
%define	section		free

Name:			%{name}
Version:		%{version}
Release:		%{release}
Epoch:			0
Summary:		Charts Generation library
License:		LGPL
Url:			http://www.jfree.org/jfreechart/
Source0:		http://www.jfree.org/%{name}/%{name}-%{pversion}.zip
Group:			Development/Libraries/Java
Distribution:		JPackage
Vendor:			JPackage Project
Requires:		jcommon >= 0.9.1
BuildRequires:		ant
BuildRequires:		batik-monolithic
BuildRequires:		jcommon >= 0.9.1
BuildRequires:		jpackage-utils >= 0:1.5
BuildRequires:		junit
BuildRequires:		servlet
BuildRequires:		xml-commons-apis
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot

%description
Free Java class library for generating charts.

%package demo
Summary:        Demo for %{name}
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}, batik-monolithic, jcommon, servlet

%description demo
Demos for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%description javadoc -l fr
Javadoc pour %{name}.

%prep
%setup -q
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
ant -f ant/build.xml -Dbatik.jar=%{_javadir}/batik.jar -Djunit.jar=%{_javadir}/junit.jar -Djcommon.jar=%{_javadir}/jcommon.jar -Dservlet.jar=%{_javadir}/servlet.jar -Dgnujaxp.jar=%{_javadir}/xml-commons-apis.jar -Dbuildstable=true -Dproject.outdir=. -Dbasedir=. compile-demo javadoc

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}-%{version}-demo.jar $RPM_BUILD_ROOT%{_javadir}
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc licence-LGPL.txt README.txt
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%dir %{_javadir}/%{name}

%files demo
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-%{version}-demo.jar
%{_javadir}/%{name}-demo.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Tue Feb 17 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0.9.16-1jpp
- 0.9.16

* Fri May 09 2003 David Walluck <david@anti-microsoft.org> 0:0.9.8-1jpp
- 0.9.8
- update for JPackage 1.5

* Fri Mar 11 2003 Henri Gomez <hgomez@users.sourceforge.net> 0.9.6-2jpp
- update spec to respect JPP 1.5 policy

* Tue Mar 08 2003 Henri Gomez <hgomez@users.sourceforge.net> 0.9.6-1jpp
- 0.9.6
- requires jcommon 0.7.2 min
- no more sub package test

* Mon Oct 28 2002 Henri Gomez <hgomez@users.sourceforge.net> 0.9.4-1jpp
- Initial release
